Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.samples.users
Class CurrentUsersPortlet

    java.lang.Object
      org.jboss.portlet.JBossPortlet
          org.jboss.portal.core.samples.users.CurrentUsersPortlet

All Implemented Interfaces:
  javax.portlet.Portlet

    public class CurrentUsersPortlet

extends JBossPortlet

Read the current users online and write them in output.

Author:
  Luca Stancapiano

Field Summary
`static org.apache.log4j.Logger` | `log` Logger

Constructor Summary
`CurrentUsersPortlet()`

Method Summary
`protected void` | `doHelp(JBossRenderRequest request, JBossRenderResponse response)` Throw a `PortletException`.
`protected void` | `doView(JBossRenderRequest rRequest, JBossRenderResponse rResponse)` Throw a `PortletException`.

Methods inherited from class org.jboss.portlet.JBossPortlet
`destroy, doAdmin, doDispatch, doEdit, getDefaultOperation, getInitParameter, getInitParameterNames, getOperationName, getPortletConfig, getPortletContext, getPortletName, getResourceBundle, getTitle, init, init, processAction, processAction, processAdmin, processDispatch, processEdit, processHelp, processView, render, render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static org.apache.log4j.Logger log

  Logger

Constructor Detail

### CurrentUsersPortlet

    public CurrentUsersPortlet()

Method Detail

### doHelp

    protected void doHelp(JBossRenderRequest request,
                          JBossRenderResponse response)
                   throws javax.portlet.PortletException,
                          javax.portlet.PortletSecurityException,
                          java.io.IOException

  Description copied from class: `JBossPortlet`
  Throw a `PortletException`.

  Overrides:
    `doHelp` in class `JBossPortlet`
  Throws:
    `javax.portlet.PortletException`
    `javax.portlet.PortletSecurityException`
    `java.io.IOException`

### doView

    protected void doView(JBossRenderRequest rRequest,
                          JBossRenderResponse rResponse)
                   throws javax.portlet.PortletException,
                          java.io.IOException,
                          javax.portlet.UnavailableException

  Description copied from class: `JBossPortlet`
  Throw a `PortletException`.

  Overrides:
    `doView` in class `JBossPortlet`
  Throws:
    `javax.portlet.PortletException`
    `java.io.IOException`
    `javax.portlet.UnavailableException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD